#include <Pokitto.h>

#include "fonts/font50.h"
#include "fonts/font52.h"

int main() {
    using Core = Pokitto::Core;
    using Display = Pokitto::Display;
    
    Core::begin();
    Display::persistence = true;
    Display::invisiblecolor = 0;
    
    while(Core::isRunning()){
        if(!Core::update()) continue;
        
        // Print outline
        Display::setFont(font52);
        Display::setColor(1);
        Display::setCursor(24, 20);
        Display::print("HELLO");
        Display::setCursor(24, 80);
        Display::print("WORLD");
        
        // Print text
        Display::adjustCharStep = 2;
        Display::setFont(font50);
        Display::setColor(2);
        Display::setCursor(24, 21);
        Display::print("HELLO");
        Display::setCursor(24, 81);
        Display::print("WORLD");
        Display::adjustCharStep = 1;
    }
    
    return 0;
}
